[![Plop Grizzly](https://plopgrizzly.com/images/logo-bar.png)](https://plopgrizzly.com)

# [Aldaron's Device Interface / GPU](https://crates.io/crates/adi_gpu)
Interface with the GPU to render graphics or do fast calculations.

This project is part of [ADI](https://crates.io/crates/adi).

## Features
* Render graphics to a window.
* Switch between OpenGL, OpenGLES or Vulkan depending on what's available.

## Roadmap to 1.0 (Future Features)
* Do calculations.
* Automatic shader generation for each platform.
* Support Metal (or just use MoltenVK?)
* API to support custom implementation
* Support Imaginary GPU ( using CPU for GPU operations )
* Render without a window.

## Change Log
### 0.11
* Update to adi\_gpu\_base 0.11.
* Version now matches adi\_gpu\_base.

### 0.10
* Update to adi\_gpu\_base 0.9.

### 0.9
* Update to adi\_gpu\_base 0.8.

### 0.8
* Update dependencies.

### 0.7
* Update to newest adi_gpu_base.
* If a specific target can't use a dependency it is no longer included.
